# -*- mode: ruby -*-
# vi: set ft=ruby :

# All Vagrant configuration is done below. The "2" in Vagrant.configure
# configures the configuration version (we support older styles for
# backwards compatibility). Please don't change it unless you know what
# you're doing.
Vagrant.configure("2") do |config|
  config.vm.box = "2kish/ubuntu-docker"
  config.ssh.username = 'vagrant'
  config.ssh.password = 'vagrant'
  config.vm.network "forwarded_port", guest: 80, host: 80
  config.vm.network "forwarded_port", guest: 443, host: 443
  config.vm.network "forwarded_port", guest: 3306, host: 3306
  config.vm.network "forwarded_port", guest: 3333, host: 3333    
  config.vm.network "forwarded_port", guest: 1080, host: 1080
  #ssh access to workspace container
  config.vm.network "forwarded_port", guest: 2222, host: 2223
  config.vm.synced_folder "./www/laradock", "/var/www/laradock", :mount_options => ["dmode=777", "fmode=666"]
  
  config.vm.provision "shell", inline: <<-SHELL
	 chmod -R 777 /var/www
  SHELL
  config.vm.provision "file", source: "./www/projects/.", destination: "/var/www/projects"
end
